petsc-3.12.4 2020-02-04
Report Typos and Errors

# ISExpandIndicesGeneral

convert the indices into non-block indices Input Parameters: + n - the length of the index set (not being used) . nkeys - expected number of keys when PETSC_USE_CTABLE (not being used) . bs - the size of block . imax - the number of index sets - is_in - the blocked array of index sets

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISExpandIndicesGeneral(PetscInt n,PetscInt nkeys,PetscInt bs,PetscInt imax,const IS is_in[],IS is_out[])

### Output Parameter

is_out -the non-blocked new index set

### See Also

ISCompressIndicesGeneral()

### Level

intermediate

### Location

src/vec/is/is/utils/isblock.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages